Debian Edu Project
Summary
Roaming-workstation
Debian Edu roaming workstation packages

A metapackage containing dependencies for packages required on all networked workstation installations in the Debian Edu Blend where the client might go offine once in a while.

Description

For a better overview of the project's availability as a Debian package, each head row has a color code according to this scheme:

If you discover a project which looks like a good candidate for Debian Edu to you, or if you have prepared an unofficial Debian package, please do not hesitate to send a description of that project to the Debian Edu mailing list

Links to other tasks

Debian Edu Roaming-workstation packages

Official Debian packages with high relevance

Cmst
QT GUI for Connman with system tray icon
Versions of package cmst
ReleaseVersionArchitectures
sid2019.01.13-1amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
stretch2016.10.03-2amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
bullseye2019.01.13-1amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
buster2019.01.13-1amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
Popcon: 179 users (226 upd.)*
Versions and Archs
License: DFSG free
Git

Graphical user interface to control the connman daemon. The connman daemon must be started as you normally would, this program just interfaces with that daemon. You can see what technologies and services connman has found, and for wifi services an agent is registered to assist in obtaining the information from you necessary to logon to the wifi service.

Screenshots of package cmst
Education-desktop-other
общие приложения для рабочего стола Debian Edu
Versions of package education-desktop-other
ReleaseVersionArchitectures
squeeze0.851amd64,armel,i386,ia64,kfreebsd-amd64,kfreebsd-i386,mips,mipsel,powerpc,s390,sparc
sid2.11.28amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
stretch1.924amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
jessie1.812+deb8u1amd64,armel,armhf,i386
wheezy1.713+deb7u1amd64,armel,armhf,i386,ia64,kfreebsd-amd64,kfreebsd-i386,mips,mipsel,powerpc,s390,s390x,sparc
buster2.10.47amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
bullseye2.11.28amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
Popcon: 0 users (0 upd.)*
Versions and Archs
License: DFSG free
Git

Этот метапакет устанавливает различные офисные и другие приложения, которые будут полезны преподавателям и их студентам.

Education-networked-common
Debian Edu common packages for networked systems
Versions of package education-networked-common
ReleaseVersionArchitectures
buster2.10.47amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
stretch1.924amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
bullseye2.11.28amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
sid2.11.28amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
Popcon: 0 users (0 upd.)*
Versions and Archs
License: DFSG free
Git

A metapackage containing dependencies for packages required on all networked installations (workstation, roaming-workstation, minimal, LTSP-server and main-server) in the Debian Edu Blend.

Gosa-desktop
Desktop integration for GOsa²
Versions of package gosa-desktop
ReleaseVersionArchitectures
wheezy-security2.7.4-4.3~deb7u3all
wheezy2.7.4-4.3~deb7u2all
stretch-security2.7.4+reloaded2-13+deb9u1all
jessie2.7.4+reloaded2-1+deb8u2all
jessie-security2.7.4+reloaded2-1+deb8u5all
squeeze2.6.11-3+squeeze2all
stretch2.7.4+reloaded2-13+deb9u3all
buster2.7.4+reloaded3-8+deb10u2all
bullseye2.7.4+reloaded3-14all
sid2.7.4+reloaded3-14all
Popcon: 2 users (6 upd.)*
Versions and Archs
License: DFSG free
Git

This package includes a Gosa² menu definition for your desktop environment.

GOsa² is a combination of system-administrator and end-user web interface, designed to handle LDAP based setups.

Isenkram
предложение установки пакетов для нового оборудования (графические уведомления)
Maintainer: Petter Reinholdtsen
Versions of package isenkram
ReleaseVersionArchitectures
stretch0.33all
jessie0.18+deb8u1all
buster0.41all
bullseye0.44all
sid0.44all
Popcon: 68 users (2 upd.)*
Versions and Archs
License: DFSG free
Git

Предлагает к установке пакеты для нового оборудования.

Jxplorer
Java LDAP Browser
Versions of package jxplorer
ReleaseVersionArchitectures
squeeze3.2.1+dfsg-5all
sid3.3.2+dfsg-6all
wheezy3.2.2~rc1+dfsg-3all
wheezy-security3.2.2~rc1+dfsg-3+deb7u1all
jessie3.3.2+dfsg-2all
stretch3.3.2+dfsg-2all
buster3.3.2+dfsg-6all
bullseye3.3.2+dfsg-6all
Debtags of package jxplorer:
interfacex11
roleprogram
scopeapplication
works-withdb
x11application
Popcon: 47 users (7 upd.)*
Versions and Archs
License: DFSG free
Git

JXplorer is an open source LDAP browser originally developed by Computer Associates' eTrust Directory development lab. It is a standards compliant general purpose LDAP browser that can be used to read and search any LDAP directory, or any X500 directory with an LDAP interface. JXplorer is a fully functional piece of software with advanced security integration and support for the more difficult and obscure parts of the LDAP protocol. It should run on any Java supporting operating system. Main features are:

  • Standard LDAP operations: add/delete/copy/modify
  • Complex operations: tree copy and tree delete
  • Optional GUI based search filter construction
  • SSL and SASL authentication
  • pluggable editors/viewers
  • pluggable security providers
  • HTML templates/forms for data display
  • Full i18n support
  • LDIF file format support
  • highly user configurable
  • drag-n-drop browsing operation
  • DSML Support
  • handles complex LDAP cases:
  • multi valued rdns
  • binary attributes
  • Certificates and Passwords
  • Unicode characters
  • Special characters / UTF8 in distinguished names.
  • Extensible architecture with object class based Java plugins
Screenshots of package jxplorer
Krb5-auth-dialog
tray applet for reauthenticating kerberos tickets
Maintainer: Guido Günther
Versions of package krb5-auth-dialog
ReleaseVersionArchitectures
squeeze0.16-4amd64,armel,i386,ia64,mips,mipsel,powerpc,s390,sparc
wheezy3.2.1-1+deb7u1amd64,armel,armhf,i386,ia64,mips,mipsel,powerpc,s390,s390x,sparc
bullseye3.26.1-4amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
jessie3.12.0-2amd64,armel,armhf,i386
sid3.26.1-4amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
stretch3.20.0-2amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
buster3.26.1-2amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
Debtags of package krb5-auth-dialog:
uitoolkitgtk
x11application
Popcon: 143 users (6 upd.)*
Versions and Archs
License: DFSG free
Git

krb5-auth-dialog is a simple tray applet that monitors kerberos tickets. It pops up reminders when the ticket is about to expire. Tickets can be refreshed at any time by clicking on the tray icon. It can also operate in "classic mode" as a simple dialog without any trayicon.

It features ticket autorenewal and supports pkinit.

Screenshots of package krb5-auth-dialog
Libnss-mdns
NSS module for Multicast DNS name resolution
Versions of package libnss-mdns
ReleaseVersionArchitectures
buster0.14.1-1amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
wheezy0.10-3.2amd64,armel,armhf,i386,ia64,kfreebsd-amd64,kfreebsd-i386,mips,mipsel,powerpc,s390,s390x,sparc
squeeze0.10-3.1amd64,armel,i386,ia64,kfreebsd-amd64,kfreebsd-i386,mips,mipsel,powerpc,s390,sparc
stretch0.10-8amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
sid0.14.1-2amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye0.14.1-2amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
jessie0.10-6amd64,armel,armhf,i386
Debtags of package libnss-mdns:
roleplugin
suitegnu
Popcon: 4697 users (14 upd.)*
Versions and Archs
License: DFSG free
Git

nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality of the GNU C Library (glibc) providing host name resolution via Multicast DNS (using Zeroconf, aka Apple Bonjour / Apple Rendezvous ), effectively allowing name resolution by common Unix/Linux programs in the ad-hoc mDNS domain .local.

Libnss-sss
Nss library for the System Security Services Daemon
Versions of package libnss-sss
ReleaseVersionArchitectures
wheezy1.8.4-2amd64,armel,armhf,i386,ia64,mips,mipsel,powerpc,s390,s390x,sparc
squeeze1.2.1-4+squeeze1amd64,armel,i386,ia64,mips,mipsel,powerpc,s390,sparc
jessie1.11.7-3amd64,armel,armhf,i386
jessie-security1.11.7-3+deb8u2amd64,armel,armhf,i386
stretch1.15.0-3+deb9u1amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
buster1.16.3-3.2amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
bullseye2.3.1-3amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
sid2.3.1-3amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
upstream2.4.0
Debtags of package libnss-sss:
roleshared-lib
Popcon: 340 users (7 upd.)*
Newer upstream!
License: DFSG free
Git

Provides a set of daemons to manage access to remote directories and authentication mechanisms. It provides an NSS and PAM interface toward the system and a pluggable backend system to connect to multiple different account sources. It is also the basis to provide client auditing and policy services for projects like FreeIPA.

This package provide the nss library to connect to the sssd daemon.

Libpam-mklocaluser
Configure PAM to create a local user if it do not exist already
Versions of package libpam-mklocaluser
ReleaseVersionArchitectures
jessie0.10all
stretch0.11all
squeeze0.6all
wheezy0.8~deb7u1all
buster0.14all
bullseye0.18all
sid0.18all
Popcon: 37 users (0 upd.)*
Versions and Archs
License: DFSG free
Git

When the user logs in for the first time, a local POSIX user account is created in /etc/passwd and primary group created in /etc/group, and a local home directory is created in /home.

This is useful on roaming computers when the password is set up to be cached by for example libpam-ccreds or sssd to allow login without network connectivity using the password provided by a network authentication service like Kerberos or LDAP.

Other than the caching mechanisms of libpam-ccreds or libpam-sssd / libnss-sssd, the libpam-mklocaluser approach makes the LDAP accounts more persistent on the roaming workstation and robust again credentials cache deletions and such.

The pam_mklocaluser PAM module additionally allows for execution of additional hook scripts when users log in to such a roaming computer for the first time.

Libpam-sss
Pam module for the System Security Services Daemon
Versions of package libpam-sss
ReleaseVersionArchitectures
sid2.3.1-3amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye2.3.1-3amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
buster1.16.3-3.2amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
stretch1.15.0-3+deb9u1amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
jessie-security1.11.7-3+deb8u2amd64,armel,armhf,i386
jessie1.11.7-3amd64,armel,armhf,i386
wheezy1.8.4-2amd64,armel,armhf,i386,ia64,mips,mipsel,powerpc,s390,s390x,sparc
squeeze1.2.1-4+squeeze1amd64,armel,i386,ia64,mips,mipsel,powerpc,s390,sparc
upstream2.4.0
Debtags of package libpam-sss:
roleshared-lib
Popcon: 344 users (6 upd.)*
Newer upstream!
License: DFSG free
Git

Provides a set of daemons to manage access to remote directories and authentication mechanisms. It provides an NSS and PAM interface toward the system and a pluggable backend system to connect to multiple different account sources. It is also the basis to provide client auditing and policy services for projects like FreeIPA.

This package provide the pam module to connect to the sssd daemon.

Network-manager-gnome
управление сетевыми подключениями (интерфейс GNOME)
Versions of package network-manager-gnome
ReleaseVersionArchitectures
buster1.8.20-1.1amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
bullseye1.18.0-1amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
jessie0.9.10.0-2amd64,armel,armhf,i386
wheezy0.9.4.1-5amd64,armel,armhf,i386,ia64,mips,mipsel,powerpc,s390,s390x,sparc
squeeze0.8.1-2amd64,armel,i386,ia64,mips,mipsel,powerpc,s390,sparc
sid1.18.0-1amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
stretch1.4.4-1+deb9u1amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
Debtags of package network-manager-gnome:
interfacedaemon, x11
networkconfiguration
roleprogram
suitegnome
uitoolkitgtk
useconfiguring
x11application
Popcon: 27685 users (10496 upd.)*
Versions and Archs
License: DFSG free
Git

NetworkManager является системным сетевым сервисом, который управляет вашими сетевыми устройствами и соединениями, пытается сохранить активные подключения к сети действительными. Он управляет Ethernet, WiFi, мобильным широкополосным доступом (WWAN) и PPPoE устройствами, а также предоставляет VPN интеграцию с различными VPN сервисами.

Этот пакет содержит апплет для системного лотка области уведомления GNOME, но он также работает в других графических окружениях, которые предоставляют лоток, например KDE или Xfce. Апплет отображает доступные сети и позволяет пользователям легко переключаться между ними. Для шифрованных сетей он будет запрашивать у пользователя ключ/пароль и может сохранить их в gnome-keyring.

Plasma-nm
Plasma5 networkmanager library
Versions of package plasma-nm
ReleaseVersionArchitectures
buster5.14.5-1amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
sid5.19.5-3amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
jessie0.9.3.4-2amd64,armel,armhf,i386
stretch5.8.6-1amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
bullseye5.19.5-3amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
upstream5.20.3
Debtags of package plasma-nm:
uitoolkitqt
Popcon: 2584 users (256 upd.)*
Newer upstream!
License: DFSG free
Git

Plasma desktop network manager.

This package is part of the KDE Plasma.

Wicd
сетевой менеджер проводных и беспроводных соединений — метапакет
Versions of package wicd
ReleaseVersionArchitectures
jessie1.7.2.4-4.1all
squeeze1.7.0+ds1-5+squeeze3all
stretch1.7.4+tb2-5~deb9u1all
buster1.7.4+tb2-6all
experimental1.7.4+tb2+2019.09.18git2e0ba579-1all
wheezy1.7.2.4-4all
Debtags of package wicd:
adminconfiguring, monitoring
networkconfiguration
rolemetapackage, program
scopeutility
usechecking, configuring, monitor
Popcon: 1 users (0 upd.)*
Versions and Archs
License: DFSG free
Git

Wicd — сервер общего назначения для настройки сетевых интерфейсов, предоставляющий простой, но гибкий интерфейс соединения с сетями. Среди особенностей:

  • Разнообразные настройки;
  • Возможность соединения (и поддержание профилей) как для проводных, так и для беспроводных сетей;
  • Поддержка различных схем шифрования, включая WEP, WPA, WPA2, и специальных схем;
  • Совместимость с wireless-tools;
  • Значок в системном лотке, отображающий сетевую активность и мощность сигнала;
  • Отсутствие зависимостей от GNOME (но требуется GTK+) делает простым использование использование в Xfce, Fluxbox, Openbox, Enlightenment и пр.

Данный метапакет позволяет установить все компоненты Wicd, включая один из клиентов, выбираемый вручную.

Screenshots of package wicd
*Popularitycontest results: number of people who use this package regularly (number of people who upgraded this package recently) out of 200867